#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#if WIN32
#define chdir SetCurrentDirectory
#else
#include <unistd.h>
#endif


#define PI 3.1415f	
enum{
	_HEAD,
	_BODY,
	_LEGS
};

FILE *HEAD,*BODY,*LEGS,*CAR,*READ;
int frames[3]={0,0,0}, speed=0;
float RATIO=0.01f;
float bodyDesfas=0.0f,headDesfas=0.0f;

int framesPoint[50], framesPos=0;



float *weaponPos,
	  *weaponDestiny;
int numWeaponDest=0;

//Funcion que inicializa los ficheros con los modelos
//Primero le dices si es cabeza, cuerpo o piernas, despues le pasas el fichero abierto
//de ese modelo y por ultimo un numero de fichero cualquiera
bool inizializate(int tipo, FILE *archivo, int begin);

//Funcion que aade una animacion al fichero q le digas
//Espera el tipo de fichero, el fichero abierto, el primer y ultimo frame de la animacion
//y un true o false segun la animacion se repite sin parar o no
bool addAnimation(int tipo, FILE *archivo, int begin, int end, bool dinamico);

float toDegrees(float number){
	return number*180.0f/PI;
}

float toRadiants(float number){
	return number*PI/180.0f;
}

void getFileName(FILE *archivo,char *word){
	int i=2,j;
	char tempo[100];
	int cutPos=0;

	while (!feof(archivo) && i){
		cutPos=0;
		fscanf(archivo,"%s",tempo);
		for (j=0;j<(int)strlen(tempo);j++){
			if (tempo[j]=='"') i--;
			if (tempo[j]=='\\') cutPos=j+1;
		}
	}

	strcpy(word,tempo+cutPos);
	word[strlen(word)-1]=0;

		
}
